########################################
# LIBRARIES / MODULES definition       #
########################################

# to avoid multiple drv_core.def (import + include)
ifndef DRV_CORE_DEF
   DRV_CORE_DEF = 1


### Basic drivers specific libraries/modules
######################################

ifndef RVTOOL
  TI_LIBS += $(OUT_LIB_DIR)/drivers_flash.lib

  ifeq ($(CHIPSET),12)
    TI_LIBS += $(OUT_LIB_DIR)/drivers_int_ram.lib
    TI_CONST_LIBS += $(OUT_LIB_DIR)/drivers_int_ram.lib (.loop)
  endif

  ifeq ($(BOARD),34)
    TI_LIBS += $(OUT_LIB_DIR)/drivers_int_ram.lib
    TI_LIBS += $(OUT_LIB_DIR)/csmi_int_ram.lib
  endif

  ifeq ($(BOARD),35)
    TI_LIBS += $(OUT_LIB_DIR)/drivers_int_ram.lib
    TI_LIBS += $(OUT_LIB_DIR)/csmi_int_ram.lib
  endif

  MODULES += $(DRIVERS_CORE_DIR)
endif



########################################
# SPECIAL CONFIGURATIONS               #
########################################

ifeq ($(findstring 1,$(TI_PROFILER) $(TI_NUC_MONITOR)),1)
   TI_LIBS += $(OUT_LIB_DIR)/niq32_int_ram.lib

   TI_BSS_LIBS += $(OUT_LIB_DIR)/niq32_int_ram.lib (.bss)
   TI_CONST_LIBS += $(OUT_LIB_DIR)/niq32_int_ram.lib (.text, .const)
endif


endif